Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface EventFactoryHome

All Known Implementing Classes:
  AbstractEventFactoryHome

public interface EventFactoryHome

Event factory home for retrieving event factories.

`EventFactoryHome` instances provide `EventFactory` resolution, configuration updates based on a specific type of configuration template for the `EventFactory` instance and releases `EventFactory` instances.

Since:
  1.0.1
Version:
  1.0.1
Author:
  Paul E Slauenwhite
See Also:
  `EventFactory`

Method Summary
`void` | `checkAccess()` Deprecated. As of Hyades M10, Java permission-based security is no longer supported.
`EventFactory` | `getEventFactory(java.lang.String factoryName)` Retrieves an instance of the named `EventFactory`.
`void` | `releaseEventFactory(java.lang.String factoryName)` Releases the reference to the instance of the named `EventFactory`.
`void` | `updateEventFactory(java.lang.String factoryName)` Updates the configuration on the instance of the named `EventFactory`.

Method Detail

### getEventFactory

    public EventFactory getEventFactory(java.lang.String factoryName)

  Retrieves an instance of the named `EventFactory`.

  An instance of a named `EventFactory` is created if no named instance current exists or a named instance is released.

  Once a named `EventFactory` is created, the instance is cached for future calls to retrieve the same named `EventFactory`.

  The name of the `EventFactory` uniquely identifies an instance of an `EventFactory`. All subsequent calls will return the same instance of the named `EventFactory`.

  `EventFactory` names are hierarchal represented using the standard Java dot-delimited name-space naming conventions.

  Parameters:
    `factoryName` - The name of the `EventFactory`.
  Returns:
    The retrieved or newly created `EventFactory`.

### updateEventFactory

    public void updateEventFactory(java.lang.String factoryName)

  Updates the configuration on the instance of the named `EventFactory`.

  If no named `EventFactory` instance exists, no update occurs.

  The name of the `EventFactory` uniquely identifies an instance of an `EventFactory`. All calls will update the configuration on the same named instance of the `EventFactory`.

  `EventFactory` names are hierarchal represented using the standard Java dot-delimited name-space naming conventions.

  Parameters:
    `factoryName` - The name of the `EventFactory`.

### releaseEventFactory

    public void releaseEventFactory(java.lang.String factoryName)

  Releases the reference to the instance of the named `EventFactory`.

  If no named `EventFactory` instance exists, no release occurs.

  The name of the `EventFactory` uniquely identifies an instance of an `EventFactory`.

  `EventFactory` names are hierarchal represented using the standard Java dot-delimited name-space naming conventions.

  Parameters:
    `factoryName` - The name of the `EventFactory`.

### checkAccess

    public void checkAccess()
                     throws java.lang.SecurityException

  Deprecated. As of Hyades M10, Java permission-based security is no longer supported.

  Checks the system's `SecurityManager` for the context of the currently executing thread to see if the caller has permission to create, retrieve, update and release Event Factory instances from the Event Factory Home. The caller has permission if the `EventPermission("factory")` permission has been explicitly granted to the caller.

  If the caller has been granted permission the method quietly returns. Otherwise, the method throws a `SecurityException`.

  Throws:
    `java.lang.SecurityException` - If the `SecurityManager` exists and if the caller does not have permission (e.g. `EventPermission("factory")`).

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD